This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 869117 - Many identical entries are shown in input sources in “gnome-control-center region” when “Show all installed input sources” is on in gnome-tweak-tool
Many identical entries are shown in input sources in “gnome-control-center re...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 01:34 EDT by Mike FABIAN
Modified: 2014-01-22 20:30 EST (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-22 20:30:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
many-identical-input-methods-shown-in-input-sources-selection.png (376.50 KB, image/png)
2012-10-23 01:34 EDT, Mike FABIAN
no flags Details
Duplicate for most, if not all, languages (18.43 KB, image/png)
2012-12-07 14:32 EST, Ma Hsiao-chun
no flags Details
duplicates-for-japanese-keyboard.png (435.05 KB, image/png)
2012-12-10 03:53 EST, Mike FABIAN
no flags Details
duplicates-for-japanese-keyboard-2.png (363.04 KB, image/png)
2012-12-10 03:58 EST, Mike FABIAN
no flags Details

  None (edit)
Description Mike FABIAN 2012-10-23 01:34:50 EDT
Created attachment 631885 [details]
many-identical-input-methods-shown-in-input-sources-selection.png

Fedora-18-Beta-TC6-x86_64-netinst.iso

- Default install
- Log into gnome session
- Install gnome-tweak-tool
- set “Show all installed input sources” to “on” in gnome-tweak-tool
- open gnome-control-center region
- select “input sources” tab
- click on + to add input methods
- scroll down until you see “(Cameroon Multilingual (azerty))”

This entry repeats many times. See screenshot.
Same for “(Taiwanese (indigenous))” and some others.
Comment 1 Mike FABIAN 2012-10-23 01:39:43 EDT
This is what ibus lists for these entries:

mfabian@ari:~
$ ibus list-engine | grep xkb:cm.*azerty
  xkb:cm:azerty:xed - Cameroon Multilingual (azerty)
  xkb:cm:azerty:bfd - Cameroon Multilingual (azerty)
  xkb:cm:azerty:sox - Cameroon Multilingual (azerty)
  xkb:cm:azerty:bum - Cameroon Multilingual (azerty)
  xkb:cm:azerty:lns - Cameroon Multilingual (azerty)
  xkb:cm:azerty:nyj - Cameroon Multilingual (azerty)
  xkb:cm:azerty:yat - Cameroon Multilingual (azerty)
  xkb:cm:azerty:yas - Cameroon Multilingual (azerty)
  xkb:cm:azerty:btb - Cameroon Multilingual (azerty)
  xkb:cm:azerty:yam - Cameroon Multilingual (azerty)
  xkb:cm:azerty:wes - Cameroon Multilingual (azerty)
  xkb:cm:azerty:ass - Cameroon Multilingual (azerty)
  xkb:cm:azerty:bas - Cameroon Multilingual (azerty)
  xkb:cm:azerty:ewo - Cameroon Multilingual (azerty)
  xkb:cm:azerty:mfk - Cameroon Multilingual (azerty)
  xkb:cm:azerty:mfh - Cameroon Multilingual (azerty)
  xkb:cm:azerty:fub - Cameroon Multilingual (azerty)
  xkb:cm:azerty:xmd - Cameroon Multilingual (azerty)
  xkb:cm:azerty:pny - Cameroon Multilingual (azerty)
  xkb:cm:azerty:anv - Cameroon Multilingual (azerty)
  xkb:cm:azerty:mcp - Cameroon Multilingual (azerty)
  xkb:cm:azerty:lem - Cameroon Multilingual (azerty)
  xkb:cm:azerty:bkm - Cameroon Multilingual (azerty)
  xkb:cm:azerty:fra - Cameroon Multilingual (azerty)
  xkb:cm:azerty:dua - Cameroon Multilingual (azerty)
  xkb:cm:azerty:ken - Cameroon Multilingual (azerty)
  xkb:cm:azerty:azo - Cameroon Multilingual (azerty)
  xkb:cm:azerty:nmg - Cameroon Multilingual (azerty)
  xkb:cm:azerty:ozm - Cameroon Multilingual (azerty)
mfabian@ari:~
$ 
mfabian@ari:~
$ ibus list-engine | grep xkb:tw
  xkb:tw:saisiyat:xsy - Saisiyat (Taiwan)
  xkb:tw:indigenous:bnn - Taiwanese (indigenous)
  xkb:tw:indigenous:ckv - Taiwanese (indigenous)
  xkb:tw:indigenous:tsu - Taiwanese (indigenous)
  xkb:tw:indigenous:ami - Taiwanese (indigenous)
  xkb:tw::trv - Taiwanese
  xkb:tw:indigenous:tay - Taiwanese (indigenous)
  xkb:tw:indigenous:tao - Taiwanese (indigenous)
  xkb:tw:indigenous:ssf - Taiwanese (indigenous)
  xkb:tw:indigenous:pyu - Taiwanese (indigenous)
  xkb:tw:indigenous:dru - Taiwanese (indigenous)
  xkb:tw:indigenous:ais - Taiwanese (indigenous)
  xkb:tw:indigenous:pwn - Taiwanese (indigenous)
mfabian@ari:~
$
Comment 2 Mike FABIAN 2012-10-23 01:50:53 EDT
/usr/share/X11/xkb/rules/evdev.xml contains

(I.e. identical keyboard layouts are listed to support many languages
here, for each language one entry appears in the input sources in gnome-control-center but the language listed in front of each entry is その他 (= other)):

    <layout>
      <configItem>
        <name>cm</name>
        
        <shortDescription>cm</shortDescription>
        <description>English (Cameroon)</description>
        <languageList><iso639Id>eng</iso639Id></languageList>
      </configItem>
      <variantList>
        <variant>
          <configItem>
            <name>french</name>
            <description>French (Cameroon)</description>
            <languageList><iso639Id>fra</iso639Id></languageList>
          </configItem>
        </variant>
        <variant>
          <configItem>
            <name>qwerty</name>
            <description>Cameroon Multilingual (qwerty)</description>
            <languageList>
              <iso639Id>eng</iso639Id>
              <iso639Id>bas</iso639Id>
              <iso639Id>nmg</iso639Id>
              <iso639Id>fub</iso639Id>
              <iso639Id>ewo</iso639Id>
              <iso639Id>xmd</iso639Id>
              <iso639Id>mfh</iso639Id>
              <iso639Id>bkm</iso639Id>
              <iso639Id>ozm</iso639Id>
              <iso639Id>lns</iso639Id>
              <iso639Id>sox</iso639Id>
              <iso639Id>pny</iso639Id>
              <iso639Id>wes</iso639Id>
              <iso639Id>lem</iso639Id>
              <iso639Id>nyj</iso639Id>
              <iso639Id>mfk</iso639Id>
              <iso639Id>mcp</iso639Id>
              <iso639Id>ass</iso639Id>
              <iso639Id>xed</iso639Id>
              <iso639Id>dua</iso639Id>
              <iso639Id>anv</iso639Id>
              <iso639Id>bum</iso639Id>
              <iso639Id>btb</iso639Id>
              <iso639Id>bfd</iso639Id>
              <iso639Id>azo</iso639Id>
              <iso639Id>ken</iso639Id>
              <iso639Id>yam</iso639Id>
              <iso639Id>yat</iso639Id>
              <iso639Id>yas</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem>
            <name>azerty</name>
            <description>Cameroon Multilingual (azerty)</description>
            <languageList>
              <iso639Id>fra</iso639Id>
              <iso639Id>bas</iso639Id>
              <iso639Id>nmg</iso639Id>
              <iso639Id>fub</iso639Id>
              <iso639Id>ewo</iso639Id>
              <iso639Id>xmd</iso639Id>
              <iso639Id>mfh</iso639Id>
              <iso639Id>bkm</iso639Id>
              <iso639Id>ozm</iso639Id>
              <iso639Id>lns</iso639Id>
              <iso639Id>sox</iso639Id>
              <iso639Id>pny</iso639Id>
              <iso639Id>wes</iso639Id>
              <iso639Id>lem</iso639Id>
              <iso639Id>nyj</iso639Id>
              <iso639Id>mfk</iso639Id>
              <iso639Id>mcp</iso639Id>
              <iso639Id>ass</iso639Id>
              <iso639Id>xed</iso639Id>
              <iso639Id>dua</iso639Id>
              <iso639Id>anv</iso639Id>
              <iso639Id>bum</iso639Id>
              <iso639Id>btb</iso639Id>
              <iso639Id>bfd</iso639Id>
              <iso639Id>azo</iso639Id>
              <iso639Id>ken</iso639Id>
              <iso639Id>yam</iso639Id>
              <iso639Id>yat</iso639Id>
              <iso639Id>yas</iso639Id>
            </languageList>
          </configItem>
        </variant>
        <variant>
          <configItem>
            <name>dvorak</name>
            <description>Cameroon Multilingual (Dvorak)</description>
          </configItem>
        </variant>
      </variantList>
    </layout>
Comment 3 fujiwara 2012-10-23 03:25:52 EDT
I think gnome-control-center shows the description for XKB and ibus follows it and it had worked fine for GNOME 3.4.
Transferring to control-center.
I'd think GtkExpander is good by the language or don't have to show all XKB layouts.
Comment 4 Ma Hsiao-chun 2012-12-07 14:32:36 EST
Created attachment 659550 [details]
Duplicate for most, if not all, languages

I really don't know what's the difference between "Akan" and "Akan (Akan)", between "Albanian" and "Albanian (Albanian)", ...

Every language "X" has a duplicate called "X (X)".
What's the meaning of "X (X)", BTW?
Comment 5 Mike FABIAN 2012-12-08 12:22:02 EST
(In reply to comment #4)
> Created attachment 659550 [details]
> Duplicate for most, if not all, languages
> 
> I really don't know what's the difference between "Akan" and "Akan (Akan)",
> between "Albanian" and "Albanian (Albanian)", ...
> 
> Every language "X" has a duplicate called "X (X)".
> What's the meaning of "X (X)", BTW?

Yes, you are right. I don’t know either what that means.
Comment 6 Mike FABIAN 2012-12-10 03:53:11 EST
Created attachment 660634 [details]
duplicates-for-japanese-keyboard.png
Comment 7 Mike FABIAN 2012-12-10 03:58:52 EST
Created attachment 660636 [details]
duplicates-for-japanese-keyboard-2.png
Comment 8 Mike FABIAN 2013-02-25 05:49:10 EST
in the released version of f18, it does not list all these duplicate
entries for “Cameroon Multilingual” (comment#0) anymore, but it still lists
the duplicates mentioned in comment#5, comment#6, and comment#7.
Comment 9 Fedora End Of Life 2013-12-21 04:10:29 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Jens Petersen 2014-01-22 01:24:22 EST
This is okay in F19, right?
Comment 11 Mike FABIAN 2014-01-22 03:02:53 EST
Yes, neither in F19 nor in F20 the problem happens as reported here.
So this is fixed in F19 and F20.
Comment 12 Jens Petersen 2014-01-22 20:30:30 EST
thanks

Note You need to log in before you can comment on or make changes to this bug.